/*
 * TCPClient1.java
 *
 * Author Michael Claudius, Roskilde Computer Science College
 * Version 1.0. 2001.09.03
 * Copyright 2001 by Michael Claudius
 * Revised 2004.02.09, 2009.09.09
 * All rights reserved
 */
package SocketConcurrent;

import java.io.*;
import java.net.*;

public class TCPClient1 {

    public static void main(String argv[]) throws Exception {
        int port = 6789;  //default
        if (argv.length > 0) {
            port = Integer.parseInt(argv[0]);
        }

        Socket clientSocket = new Socket("127.0.0.1", port);
        BufferedReader inFromUser = new BufferedReader(
                new InputStreamReader(System.in));
        PrintStream outToServer = new PrintStream(
                clientSocket.getOutputStream());
        BufferedReader inFromServer = new BufferedReader(
                new InputStreamReader(clientSocket.getInputStream()));
        
        for (int i = 0; i < 10; i++) {
            Thread.sleep(100);
            String sentence = i + " Michael";
            outToServer.println(sentence);
            String modifiedSentence = inFromServer.readLine();
            System.out.println("FROM SERVER: " + modifiedSentence);
        }
        clientSocket.close();
    }
}